Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2019-8354

Published: 15 February 2019

An issue was discovered in SoX 14.4.2. lsx_make_lpf in effect_i_dsp.c has an integer overflow on the result of multiplication fed into malloc. When the buffer is allocated, it is smaller than expected, leading to a heap-based buffer overflow.

From the Ubuntu Security Team

It was discovered that SoX incorrectly handled certain MP3 files. An attacker could possibly use this issue to cause a denial of service. (CVE-2019-8354, CVE-2019-8355, CVE-2019-8356, CVE-2019-8357)

Priority

Medium

Cvss 3 Severity Score

5.0

Score breakdown

Status

Package Release Status
sox
Launchpad, Ubuntu, Debian
bionic
Released (14.4.2-3ubuntu0.18.04.1)
cosmic Ignored
(end of life)
disco
Released (14.4.2-3ubuntu0.19.04.1)
eoan
Released (14.4.2+git20190427-1)
focal
Released (14.4.2+git20190427-1)
groovy
Released (14.4.2+git20190427-1)
hirsute
Released (14.4.2+git20190427-1)
impish
Released (14.4.2+git20190427-1)
jammy
Released (14.4.2+git20190427-1)
trusty
Released (14.4.1-3ubuntu1.1+esm1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream Needs triage

xenial
Released (14.4.1-5+deb8u4ubuntu0.1)

Severity score breakdown

Parameter Value
Base score 5.0
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction Required
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H